# This Mod is for Rundown Developer, not user
 - [Reference Config file to start with](https://github.com/GTFO-Modding/ExtraEnemyCustomization/raw/master/wikifiles/ExtraEnemyCustomization.zip)
 - [Wiki Page for Rundown Devs](https://github.com/Flowaria/ExtraEnemyCustomization/wiki) (Very WIP at this moment)

# 0.8.0 Update Log
 - Added Category for Target settings!
 - Added `ExplosiveAttackCustom`
 - Added `KnockbackAttackCustom`
 - Added `BleedAttackCustom`
 - Added `DoorBreakerCustom`
 - `FullyInvisible` setting for `ShadowCustom`
 - `AllowMarkingOnHibernate` setting for `MarkerCustom`
 - Fixed bug where Silhouette were not appear on Shadow Enemies

# 0.7.0 Update Log
 - Added `ScannerCustom`
 - Added `SilhouetteCustom`

# 0.6.0 Update Log
 - Added SpawnCost Custom
 - Updated GlowCustom so Hibernation color and SelfWakeup color works now

# 0.5.1 Update Log
 - Fixed Issue where Shooter Distance based setting able to changed during fire
 - Fixed Issue where Marker Custom Sprites are gone when they used on two different settings

# 0.5.0 Update Log
 - Added ScoutWaveCustom, Powerful settings to customize scout wave!
 - Added `GlowCustom` on ModelCustomization Section!
 - Now Support [PartialData Extension](https://gtfo.thunderstore.io/package/Flowaria/MTFO_Extension_PartialData/) you can use GUID as persistentIDs if you want!
 - Now use indirect reference to MTFO so it will be less version dependent.



# Supported Features
 * Model Customization
    - `ShadowCustom`: Shadow Varient Customization (For every enemy model)
    - `MaterialCustom`: Material Swapper for changing skin of emenies
    - `GlowCustom`: for edting color of enemy glowing in general, also provide feature to adding custom Pulse Effect
    - `LimbCustom`: Enemy Limb Health/Weak/ArmorSpot Customization
    - `MarkerCustom`: Bio-tracker Ping Icon/Behaviour Customization (with custom images)
    - `ModelRefCustom`: ModelReference Custom for editing Bio-Tracker Ping position/Shooter Firing Position/Striker Tentacle Position
	 - `ScannerCustom`: Bio-tracker screen customization per enemies (with real-time color changes)
	 - `SilhouetteCustom`: Provides enemies silhouette to be able to see through the wall

 * Ability Customization
    - `FogSphereCustom`: Fog Sphere Ability's Fog Setting
    - `BirthingCustom`: Birthing Ability Customization
    - `HealthRegenCustom`: for Health Regen/Decay Enemy
    - `InfectionAttackCustom`: for Infectious Tentacle/Punch
    - `ExplosiveAttackCustom`: for Explosive Tentacle/Punch
    - `KnockbackAttackCustom`: for adding knockback for Tentacle/Punch
    - `BleedAttackCustom`: for adding bleeding effect for Tentacle/Punch
    - `DoorBreakerCustom`: DoorBreaker Ability Speed/Damage Customization

 * Striker Tentacle Customization
    - `StrikerTentacleCustom`
       - Striker Tentacle Model Type Customization
       - Striker Tentacle In/Out/Stay time Custom
    - `TentacleDefinitions`
       - Work in Progress

 * Shooter Firing Customization
    - `ShooterFireCustom`
       - Shooter Projectile Setting Custom
       - Distance based Projectile Setting Swapper
    - `ProjectileDefinitions`
       - Custom Shooter Projectile Editing
       - Explosive Projectile Setting

 * Detection Customization
    - `FeelerCustom`: Scout Feeler Count/Color/Distance Customization

 * Scout Wave Customization
    - Different Setting Per Scout Variants
    - StopOnDead Setting for Scout alive orientated constant alarm
    - Random Picker for having different wave setting for single variant

 * SpawnCost Customization
    - You can edit Enemy's spawncost without editing population settings



# Credits
 - peelz for helping me to setup for future MTFO update
 - Mccad00 for few icons for MarkerCustom
 - Dex for providing codes related to SilhouetteCustom
 - Dak for providing codes related to Explosion